Đến nội dung


Hình ảnh

mọi người cho mình hỏi về lệnh rải đối tượng


  • Please log in to reply
8 replies to this topic

#1 nguyentan1991

nguyentan1991

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 05 July 2014 - 08:38 AM

có lệnh gì hay lisp gì rải đối tượng vuông góc với 1 cung tròn, hay 1 spline ko ạ, cảm ơn mọi người quan tâm


  • 0

#2 trongluan

trongluan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 July 2014 - 09:04 AM

Có nhiều cách mà bạn! 1.Bạn dùng lệnh DIV: - Bạn cho đối tượng cần rải là 1 Block, đặt tên cho Block, - Dùng lệnh Div, chọn đối tượng sẽ rải( Ví dụ Spline, Line, đường tròn..),nhập lựa chọn 'B', nhập tên block cần chèn,nhập số block cần rải, cad sẽ hỏi là có xoay ko?bạn nhập lựa chọn 'Y' rồi enter, thế là xong 2.Bạn dùng lệnh Me: Cách làm tương tự như cách 1, nhưng ở đây cad sẽ họi bạn khoảng cách của đoạn cần rải, bạn nhập vào khoảng cách rồi làm giống hệt cách 1 3.Bạn có thể dùng lệnh Ar
  • 0

#3 nguyentan1991

nguyentan1991

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 05 July 2014 - 09:12 AM

bạn ơi, minh cũng dùng lệnh DIV hoặc ME rồi mà nó chỉ chia đều khoảng cách, chứ nó ko xoay vuông góc với cung tròn hay spl. Bạn giúp mình với


  • 0

#4 nguyentan1991

nguyentan1991

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 05 July 2014 - 09:16 AM

đây bạn à, mình làm loay hoay từ qua đến h, nó chỉ rải đối tượng chứ ko xoay vuông góc. Hay mình sai thao tác

129331_1_1.png


  • 0

#5 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 05 July 2014 - 10:37 AM

Bạn thử cái này ở #37, tôi chưa thử trên cung tròn.

http://www.cadviet.c...oi-pline/page-2


  • 0

#6 nguyentan1991

nguyentan1991

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 05 July 2014 - 02:30 PM

em ấn rồi bác, mà chả rải đc gì cả, mong bác giúp em thao tác với ạ, cảm ơn bác nhiều


  • 0

#7 nguyentan1991

nguyentan1991

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 05 July 2014 - 02:39 PM

Em rải xong nó cũng ko vuông góc với spl , mà rõ ràng là trong câu lệnh thì có nói là có muôn đối tượng vuông góc với spl ko , bác giúp em ạ


  • 0

#8 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 05 July 2014 - 03:54 PM

Ủa bạn xài lisp nào vậy? cái của tôi đâu có hỏi vuông góc gì đâu!!

Thôi gửi lại cho chắc ăn. Lisp này có thể dùng với spline nhưng với cung tròn thì có thể sai vì trên cung tròn không có điểm đầu điểm cuối gì cả. Nếu cung tron thì bạn dùng lệnh array của cad cũng được rồi.

(defun c:rvx(/ pl ss dd dc cd tm sl el en ang dd1 ang1 os)
  (defun thgoc (ent pt / param)
    (if (setq param (vlax-curve-getParamAtPoint ent pt))
      (- (angle '(0 0 0) (vlax-curve-getFirstDeriv ent param)) (/ pi 2))
      nil)
  )
  (command "ucs" "W")
  (setq pl (car (entsel "\nChon duong dan:")))
  (prompt "\nChon doi tuong can rai:")
  (setq ss (ssget)
dd (getpoint "\nDiem bat dau rai (nam tren duong dan) :")
dc (getpoint "\nDiem cuoi cung rai (nam tren duong dan) :")
cd (getreal "\nNhap buoc rai <Enter neu nhap so khoang rai>:")
tm (- (vlax-curve-getDistAtPoint pl dc) (vlax-curve-getDistAtPoint pl dd)))
  (if (< tm 0) (setq lenh -) (setq lenh +))
  (if (not cd)
    (setq sl (getint "\nNhap so khoang rai:")
 cd (/ (abs tm) sl))
    (setq sl (fix (/ (abs tm) cd))))
  
  (setq os (getvar "OSMODE"))  
  (setvar "OSMODE" 0)
  (repeat sl
    (setq el (entlast)
 ang (thgoc pl dd))
    (command "copy" ss "" dd (setq dd1 (vlax-curve-getPointAtDist pl
(lenh (vlax-curve-getDistAtPoint pl dd) cd))))
    (setq ss (ssadd)
 dd dd1
 ang1 (thgoc pl dd))
    (while (setq en (entnext el))
      (ssadd en ss)
      (setq el en))
    (command "rotate" ss "" dd "r" dd (polar dd ang 1) (polar dd ang1 1))
    )  
  (setvar "OSMODE" os) (command "ucs" "p")
  (princ)
)
 
 
 
 

  • 1

#9 nguyentan1991

nguyentan1991

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 06 July 2014 - 01:42 PM

vâng , em nhầm sang lisp rải đối tượng vuông góc của 1 anh trên diễn đàn

bác có lisp nào rải đối tượng vuông góc ko ạ . Dạ, bác xem cho em lisp của anh này với, em thực hành mãi mà ko đc. Em cảm ơn ạ

http://www.cadviet.c...theo-doong-dan/


  • 0